%define	name ewl
%define version 0.5.3.050
%define svnrel 20090807
%define release %mkrel 2.%{svnrel}.1

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment widget library
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Libraries
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
Patch0:		ewl-linkage.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.050
BuildRequires:	ecore-devel >= 0.9.9.060
BuildRequires:  edje-devel >= 0.5.0.050, edje => 0.5.0.050
BuildRequires:	embryo-devel >= 0.9.9.050, embryo >= 0.9.9.050
Buildrequires:	efreet-devel >= 0.0.5.050
BuildRequires:  emotion-devel >= 0.1.0.042
Buildrequires:  epsilon-devel >= 0.3.0.012
Buildrequires:  imlib2-devel
Buildrequires:  X11-devel
Buildrequires:  libxp-devel
BuildRequires:	gettext-devel

%description
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -qn %name
%patch0 -p0

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --enable-software-buffer \
  --enable-software-x11 \
  --enable-software-16-x11 \
  --enable-xrender-x11 \
  --enable-opengl-x11 \
  --enable-software-sdl \
  --enable-fb \
  --disable-tests
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%_sysconfdir/%name/%name.cfg
%dir %{_datadir}/%name
%{_datadir}/%name/themes
%{_datadir}/%name/images
%{_libdir}/%name/engines/*.so
%{_libdir}/%name/plugins/*.so
%{_datadir}/%name/tutorials/*.dox
#%{_libdir}/%name/tests/*.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/%name/engines/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
#%{_libdir}/%name/engines/*.a
%{_libdir}/%name/engines/*.la
#%{_libdir}/%name/plugins/*.a
%{_libdir}/%name/plugins/*.la
#%{_libdir}/%name/tests/*.a
#%{_libdir}/%name/tests/*.la
%{_includedir}/%name
%{_datadir}/%name/examples



%changelog
* Fri Aug 07 2009 Funda Wang <fundawang@mandriva.org> 0.5.3.050-2.20090807.1mdv2010.0
+ Revision: 411235
- New snapshot
- fix wrong linking typo

* Wed Jul 08 2009 Funda Wang <fundawang@mandriva.org> 0.5.3.050-2.20090503.2mdv2010.0
+ Revision: 393517
- rebuild

* Sun May 03 2009 Funda Wang <fundawang@mandriva.org> 0.5.3.050-2.20090503.1mdv2010.0
+ Revision: 370849
- New snapshot

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.5.3.050-1mdv2009.1
+ Revision: 346899
- add tutorials files
- remove old files in the devel package
- disable test for the moment, adjust configure's options
- add libxp-devel buildrequires
- SVN SNAPSHOT 20090227, release 0.5.3.050

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2.042-3mdv2009.0
+ Revision: 266736
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.5.2.042-2mdv2009.0
+ Revision: 214030
- use makeinstall_std

* Mon Feb 18 2008 Antoine Ginies <aginies@mandriva.com> 0.5.2.042-2mdv2008.1
+ Revision: 170098
- new release
- CVS snapshot 20080215, restore buildrequires to avoid major break of E libs

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.5.2.042-1mdv2008.1
+ Revision: 161585
- new version
- tidy spec
- fix URL

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 Austin Acton <austin@mandriva.org> 0.5.1.011-2mdv2008.1
+ Revision: 107470
- lib does not provide name

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.011-1mdv2008.1
+ Revision: 104074
- CVS SNAPSHOT 20071031, release 0.5.1.011

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-8mdv2008.0
+ Revision: 76720
- fix missing file ewl-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.5.1.008

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 0.5.1.008-7mdv2008.0
+ Revision: 74623
- add explicit conflict from libewl1-devel on libewl0-devel

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.5.1.008-6mdv2008.0
+ Revision: 36153
- rebuild with correct optflags

  + Antoine Ginies <aginies@mandriva.com>
    - run autogen.sh before the %%configure macro
    - CVS SNAPSHOT 20070605, release 0.5.1.008

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-4mdv2008.0
+ Revision: 35238
- add libx11-devel buildrequires
- fix typo
- fix Major, prevent major bug to happen again
- adjust buildrequires (embryo and edje)
- add some provides, fix buildrequires
- CVS SNAPSHOT 20070529, release 0.5.1.008

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-1mdv2008.0
+ Revision: 30675
- add imlib2-devel buildrequires
- new version
- fix an error in spec file (Version: was updated instead of the macro version)
- CVS snapshot 20070524, release 0.5.1.008

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.0.4.008-1mdv2008.0
+ Revision: 29461
- add embryo buildrequires
- add edje buildrequires
- remove unwanted changelog
- add emotion-devel and epsilon-devel buildrequires
- add efreet-devel buildrequires
- adjust buildrequires: ecore, edje)
- update buildrequires
- cvs snapshot 20070516, release 0.0.4.008

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.4.007-1mdv2008.0
+ Revision: 17858
- 0.0.4.007
 - Don't buildrequire emotion-devel
- Import ewl



* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.0.4.006-0.20060323.1mdk
- new cvs checkout
- buildrequires embryo

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.0.4.005-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.0.4.005-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20051124.1mdk
- new cvs checkout

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.4.004-0.20051109.2mdk
- rebuild against openssl-0.9.8

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20051109.1mdk
- new cvs checkout

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.4.004-0.20050904.2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050524.1mdk
- new cvs checkout
- multiarch binaries

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050511.1mdk
- initial package
